GET api/Insured/GetInsuredFilesList?insuredId={insuredId}&folderId={folderId}&isInsuredVisibleFolder={isInsuredVisibleFolder}&mcNumber={mcNumber}
Insured files list endpoint.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| insuredId |
Database ID of an insured. |
globally unique identifier |
Required |
| folderId |
Database ID of subfolder. Optional parameter that you may pass to get a list of files from insured files subfolder. |
globally unique identifier |
None. |
| isInsuredVisibleFolder |
This parameter indicates if upload will happen into Insured Visible Folder if no folderId specified. |
boolean |
None. |
| mcNumber |
This optional field allows for searching the insured files by internal billing number, USDOT number, or contractor license number. |
string |
Default value is |
Body Parameters
None.
Response Information
Resource Description
List of files and folders from insured files folder.
NowCertsApiResultOfInsuredFilesList| Name | Description | Type | Additional information |
|---|---|---|---|
| Status | ApiStatus |
None. |
|
| Data | InsuredFilesList |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 0,
"data": {
"name": "sample string 1",
"files": [
{
"databaseId": "615c764b-c9a5-4783-942d-d6c36238b093",
"name": "sample string 2",
"path": "sample string 3",
"downloadUrl": "sample string 4",
"downloadUrlExpiresAtUtc": "2026-11-19T14:39:06.2491983-06:00",
"type": 0,
"mime": "sample string 5",
"size": 6,
"createDate": "2026-11-19T14:39:06.2491983-06:00",
"changeDate": "2026-11-19T14:39:06.2491983-06:00",
"creatorName": "sample string 9",
"isInsuredVisibleFolder": true,
"fileOrFolder": "sample string 11",
"isInsuredVisibleFile": true,
"parentId": "bc06bc7d-ca19-45b2-b71e-e75e3b4a4f53"
},
{
"databaseId": "615c764b-c9a5-4783-942d-d6c36238b093",
"name": "sample string 2",
"path": "sample string 3",
"downloadUrl": "sample string 4",
"downloadUrlExpiresAtUtc": "2026-11-19T14:39:06.2491983-06:00",
"type": 0,
"mime": "sample string 5",
"size": 6,
"createDate": "2026-11-19T14:39:06.2491983-06:00",
"changeDate": "2026-11-19T14:39:06.2491983-06:00",
"creatorName": "sample string 9",
"isInsuredVisibleFolder": true,
"fileOrFolder": "sample string 11",
"isInsuredVisibleFile": true,
"parentId": "bc06bc7d-ca19-45b2-b71e-e75e3b4a4f53"
}
],
"currentFolderId": "f466522e-91eb-44df-8d6d-9a06dd24c153"
},
"message": "sample string 1"
}
application/xml, text/xml
Sample:
<NowCertsApiResultOfInsuredFilesListodPQ2rGR xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum">
<Data>
<CurrentFolderId>f466522e-91eb-44df-8d6d-9a06dd24c153</CurrentFolderId>
<Files>
<FileList>
<ChangeDate>2026-11-19T14:39:06.2491983-06:00</ChangeDate>
<CreateDate>2026-11-19T14:39:06.2491983-06:00</CreateDate>
<CreatorName>sample string 9</CreatorName>
<DatabaseId>615c764b-c9a5-4783-942d-d6c36238b093</DatabaseId>
<DownloadUrl>sample string 4</DownloadUrl>
<DownloadUrlExpiresAtUtc>2026-11-19T14:39:06.2491983-06:00</DownloadUrlExpiresAtUtc>
<FileOrFolder>sample string 11</FileOrFolder>
<IsInsuredVisibleFile>true</IsInsuredVisibleFile>
<IsInsuredVisibleFolder>true</IsInsuredVisibleFolder>
<MIME>sample string 5</MIME>
<Name>sample string 2</Name>
<ParentId>bc06bc7d-ca19-45b2-b71e-e75e3b4a4f53</ParentId>
<Path>sample string 3</Path>
<Size>6</Size>
<Type>File</Type>
</FileList>
<FileList>
<ChangeDate>2026-11-19T14:39:06.2491983-06:00</ChangeDate>
<CreateDate>2026-11-19T14:39:06.2491983-06:00</CreateDate>
<CreatorName>sample string 9</CreatorName>
<DatabaseId>615c764b-c9a5-4783-942d-d6c36238b093</DatabaseId>
<DownloadUrl>sample string 4</DownloadUrl>
<DownloadUrlExpiresAtUtc>2026-11-19T14:39:06.2491983-06:00</DownloadUrlExpiresAtUtc>
<FileOrFolder>sample string 11</FileOrFolder>
<IsInsuredVisibleFile>true</IsInsuredVisibleFile>
<IsInsuredVisibleFolder>true</IsInsuredVisibleFolder>
<MIME>sample string 5</MIME>
<Name>sample string 2</Name>
<ParentId>bc06bc7d-ca19-45b2-b71e-e75e3b4a4f53</ParentId>
<Path>sample string 3</Path>
<Size>6</Size>
<Type>File</Type>
</FileList>
</Files>
<Name>sample string 1</Name>
</Data>
<Message>sample string 1</Message>
<Status>Error</Status>
</NowCertsApiResultOfInsuredFilesListodPQ2rGR>